USRP Hardware Driver and USRP Manual: uhd::digital_filter_fir< tap_t > Class Template Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
uhd::digital_filter_fir< tap_t > Class Template Reference

`#include <uhd/types/filters.hpp>`

Inheritance diagram for uhd::digital_filter_fir< tap_t >:

## Public Types
typedef std::shared_ptr< digital_filter_fir< tap_t > > | sptr
Public Types inherited from uhd::digital_filter_base< tap_t >
typedef std::shared_ptr< digital_filter_base > | sptr
Public Types inherited from uhd::filter_info_base
enum | filter_type { ANALOG_LOW_PASS , ANALOG_BAND_PASS , DIGITAL_I16 , DIGITAL_FIR_I16 }
typedef std::shared_ptr< filter_info_base > | sptr

## Public Member Functions
| digital_filter_fir (filter_info_base::filter_type type, bool bypass, size_t position_index, double rate, uint32_t interpolation, uint32_t decimation, tap_t tap_bit_width, uint32_t max_num_taps, const std::vector< tap_t > &taps)
void | set_taps (const std::vector< tap_t > &taps)
Public Member Functions inherited from uhd::digital_filter_base< tap_t >
| digital_filter_base (filter_type type, bool bypass, size_t position_index, double rate, uint32_t interpolation, uint32_t decimation, tap_t tap_full_scale, uint32_t max_num_taps, const std::vector< tap_t > &taps)
UHD_INLINE double | get_output_rate ()
UHD_INLINE double | get_input_rate ()
UHD_INLINE uint32_t | get_interpolation ()
UHD_INLINE uint32_t | get_decimation ()
UHD_INLINE uint32_t | get_tap_full_scale ()
UHD_INLINE std::vector< tap_t > & | get_taps ()
std::string | to_pp_string () override
Public Member Functions inherited from uhd::filter_info_base
| filter_info_base (filter_type type, bool bypass, size_t position_index)
virtual UHD_INLINE bool | is_bypassed ()
UHD_INLINE filter_type | get_type ()
virtual | ~filter_info_base ()

## Additional Inherited Members
Protected Attributes inherited from uhd::digital_filter_base< tap_t >
double | _rate
uint32_t | _interpolation
uint32_t | _decimation
tap_t | _tap_full_scale
uint32_t | _max_num_taps
std::vector< tap_t > | _taps
Protected Attributes inherited from uhd::filter_info_base
filter_type | _type
bool | _bypass
size_t | _position_index

## Member Typedef Documentation

## ◆ sptr

template<typename tap_t>

typedef std::shared_ptr<digital_filter_fir<tap_t> > uhd::digital_filter_fir< tap_t >::sptr

## Constructor & Destructor Documentation

## ◆ digital_filter_fir()

template<typename tap_t>

uhd::digital_filter_fir< tap_t >::digital_filter_fir | ( | filter_info_base::filter_type | type,
|  | bool | bypass,
|  | size_t | position_index,
|  | double | rate,
|  | uint32_t | interpolation,
|  | uint32_t | decimation,
|  | tap_t | tap_bit_width,
|  | uint32_t | max_num_taps,
|  | const std::vector< tap_t > & | taps )
| inline

## Member Function Documentation

## ◆ set_taps()

template<typename tap_t>

void uhd::digital_filter_fir< tap_t >::set_taps | ( | const std::vector< tap_t > & | taps | ) |
| inline

The documentation for this class was generated from the following file:

- filters.hpp